FLANG

Public Member Functions | List of all members
Fortran::parser::Definition Class Reference

## Public Member Functions
| Definition (const TokenSequence &, std::size_t firstToken, std::size_t tokens)
| Definition (const std::vector< std::string > &argNames, const TokenSequence &, std::size_t firstToken, std::size_t tokens, bool isVariadic=false)
| Definition (const std::string &predefined, AllSources &)
bool | isFunctionLike () const
std::size_t | argumentCount () const
bool | isVariadic () const
bool | isDisabled () const
bool | isPredefined () const
const TokenSequence & | replacement () const
bool | set_isDisabled (bool disable)
TokenSequence | Apply (const std::vector< TokenSequence > &args, AllSources &)

The documentation for this class was generated from the following files:

- lib/Parser/preprocessor.h
- lib/Parser/preprocessor.cpp